# Concept AggregateConcept
Aggregate types contain a fixed number of fixed-size values (pairs, triples, tuples).

Defined in |
Signature | ``

## Detailed Description

Stream output operators are not shown in the function list below, but required.

Comparison operators are not shown in the function list below, but required.

## Interface Function Overview

- `TStream AggregateConcept::operator<<(stream, aggregate);`
  Stream output operator.

## Interface Functions Detail

### `TStream AggregateConcept::operator<<(stream, aggregate);`

Stream output operator.

#### Parameters

`stream` | The `std::ostream` to write to.
`aggregate` | The aggregate type to write to the stream.

#### Returns

`TStream` | Reference to `stream` after writing `aggregate` to it.

#### Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

#### Dox Sources

    /*!
     * @concept AggregateConcept
     *
     * @brief Aggregate types contain a fixed number of fixed-size values (pairs,
     *        triples, tuples).
     *
     * Stream output operators are not shown in the function list below, but
     * required.
     *
     * Comparison operators are not shown in the function list below, but required.
     *
     * @fn AggregateConcept#operator<<
     *
     * @brief Stream output operator.
     *
     * @signature TStream AggregateConcept::operator<<(stream, aggregate);
     *
     * @param[in,out] stream The <tt>std::ostream</tt> to write to.
     * @param[in] aggregate The aggregate type to write to the stream.
     *
     * @return TStream Reference to <tt>stream</tt> after writing <tt>aggregate</tt>
     *                 to it.
     */